# Class FormChangePhase

#### Hierarchy (view full)

- EvolutionPhase
  - FormChangePhase

- Defined in src/form-change-phase.ts:14

#####
Index

### Constructors

constructor

### Properties

evolutionBaseBg
evolutionBg
evolutionBgOverlay
evolutionContainer
evolutionOverlay
formChange
lastLevel
modal
pokemon
pokemonEvoSprite
pokemonEvoTintSprite
pokemonSprite
pokemonTintSprite
scene

### Methods

doArcDownParticle
doArcDownward
doCircleInward
doCircleInwardParticle
doCycle
doEvolution
doSpiralUpward
doSpiralUpwardParticle
doSpray
doSprayParticle
end
setMode
start
validate

## Constructors

### constructor

- new FormChangePhase(scene, pokemon, formChange, modal): FormChangePhase

- #### Parameters

  - scene: default
  - pokemon: PlayerPokemon
  - formChange: SpeciesFormChange
  - modal: boolean

  #### Returns FormChangePhase

  Overrides EvolutionPhase.constructor

  - Defined in src/form-change-phase.ts:18

## Properties

### `Protected` evolutionBaseBg

evolutionBaseBg: Image

Inherited from EvolutionPhase.evolutionBaseBg

- Defined in src/evolution-phase.ts:21

### `Protected` evolutionBg

evolutionBg: Video

Inherited from EvolutionPhase.evolutionBg

- Defined in src/evolution-phase.ts:22

### `Protected` evolutionBgOverlay

evolutionBgOverlay: Rectangle

Inherited from EvolutionPhase.evolutionBgOverlay

- Defined in src/evolution-phase.ts:23

### `Protected` evolutionContainer

evolutionContainer: Container

Inherited from EvolutionPhase.evolutionContainer

- Defined in src/evolution-phase.ts:20

### `Protected` evolutionOverlay

evolutionOverlay: Rectangle

Inherited from EvolutionPhase.evolutionOverlay

- Defined in src/evolution-phase.ts:24

### `Private` formChange

formChange: SpeciesFormChange

- Defined in src/form-change-phase.ts:15

### `Protected` lastLevel

lastLevel: number

Inherited from EvolutionPhase.lastLevel

- Defined in src/evolution-phase.ts:16

### `Private` modal

modal: boolean

- Defined in src/form-change-phase.ts:16

### `Protected` pokemon

pokemon: PlayerPokemon

Inherited from EvolutionPhase.pokemon

- Defined in src/evolution-phase.ts:15

### `Protected` pokemonEvoSprite

pokemonEvoSprite: Sprite

Inherited from EvolutionPhase.pokemonEvoSprite

- Defined in src/evolution-phase.ts:27

### `Protected` pokemonEvoTintSprite

pokemonEvoTintSprite: Sprite

Inherited from EvolutionPhase.pokemonEvoTintSprite

- Defined in src/evolution-phase.ts:28

### `Protected` pokemonSprite

pokemonSprite: Sprite

Inherited from EvolutionPhase.pokemonSprite

- Defined in src/evolution-phase.ts:25

### `Protected` pokemonTintSprite

pokemonTintSprite: Sprite

Inherited from EvolutionPhase.pokemonTintSprite

- Defined in src/evolution-phase.ts:26

### `Protected` scene

scene: default

Inherited from EvolutionPhase.scene

- Defined in src/phase.ts:4

## Methods

### doArcDownParticle

- doArcDownParticle(trigIndex): void

- #### Parameters

  - trigIndex: number

  #### Returns void

  Inherited from EvolutionPhase.doArcDownParticle

  - Defined in src/evolution-phase.ts:427

### doArcDownward

- doArcDownward(): void

- #### Returns void

  Inherited from EvolutionPhase.doArcDownward

  - Defined in src/evolution-phase.ts:300

### doCircleInward

- doCircleInward(): void

- #### Returns void

  Inherited from EvolutionPhase.doCircleInward

  - Defined in src/evolution-phase.ts:351

### doCircleInwardParticle

- doCircleInwardParticle(trigIndex, speed): void

- #### Parameters

  - trigIndex: number
  - speed: number

  #### Returns void

  Inherited from EvolutionPhase.doCircleInwardParticle

  - Defined in src/evolution-phase.ts:460

### doCycle

- doCycle(l, lastCycle?): Promise<boolean>

- #### Parameters

  - l: number
  - lastCycle: number = 15

  #### Returns Promise<boolean>

  Inherited from EvolutionPhase.doCycle

  - Defined in src/evolution-phase.ts:319

### doEvolution

- doEvolution(): void

- #### Returns void

  Overrides EvolutionPhase.doEvolution

  - Defined in src/form-change-phase.ts:36

### doSpiralUpward

- doSpiralUpward(): void

- #### Returns void

  Inherited from EvolutionPhase.doSpiralUpward

  - Defined in src/evolution-phase.ts:281

### doSpiralUpwardParticle

- doSpiralUpwardParticle(trigIndex): void

- #### Parameters

  - trigIndex: number

  #### Returns void

  Inherited from EvolutionPhase.doSpiralUpwardParticle

  - Defined in src/evolution-phase.ts:391

### doSpray

- doSpray(): void

- #### Returns void

  Inherited from EvolutionPhase.doSpray

  - Defined in src/evolution-phase.ts:372

### doSprayParticle

- doSprayParticle(trigIndex): void

- #### Parameters

  - trigIndex: number

  #### Returns void

  Inherited from EvolutionPhase.doSprayParticle

  - Defined in src/evolution-phase.ts:492

### end

- end(): void

- #### Returns void

  Overrides EvolutionPhase.end

  - Defined in src/form-change-phase.ts:160

### setMode

- setMode(): Promise<void>

- #### Returns Promise<void>

  Overrides EvolutionPhase.setMode

  - Defined in src/form-change-phase.ts:29

### start

- start(): void

- #### Returns void

  Inherited from EvolutionPhase.start

  - Defined in src/evolution-phase.ts:46

### validate

- validate(): boolean

- #### Returns boolean

  Overrides EvolutionPhase.validate

  - Defined in src/form-change-phase.ts:25